momentics

bridged with qdn.public.installation
Post Reply
AGB

momentics

Post by AGB » Tue Aug 19, 2003 4:33 pm

Hi,
I've downloaded the qnx 6.2.1 NC iso from the web, and it installs fine.

However, when I install momentics, and reboot, it comes up with the
following errors:
Unknown symbol: openlog
Unknown symbol: syslog
Unknown symbol: setlogmask
Could not resolve all symbols
Spawn of /bin/sh failed: No such file or directory

Any ideas?
It works fine it I don't install momentics... but thats no good, as I
need gcc...

Thanks.

ps I'm installing on a x86 (P4 processor)

Chris McKillop

Re: momentics

Post by Chris McKillop » Wed Aug 20, 2003 7:21 am

Have you verified the cksum of your CD against the cksum on the website?

chris

AGB <agb32@nospam.remove.this.cam.ac.uk> wrote:
Hi,
I've downloaded the qnx 6.2.1 NC iso from the web, and it installs fine.

However, when I install momentics, and reboot, it comes up with the
following errors:
Unknown symbol: openlog
Unknown symbol: syslog
Unknown symbol: setlogmask
Could not resolve all symbols
Spawn of /bin/sh failed: No such file or directory

Any ideas?
It works fine it I don't install momentics... but thats no good, as I
need gcc...

Thanks.

ps I'm installing on a x86 (P4 processor)
--
Chris McKillop <cdm@qnx.com> "The faster I go, the behinder I get."
Software Engineer, QSSL -- Lewis Carroll --
http://qnx.wox.org/

AGB

Re: momentics

Post by AGB » Wed Aug 20, 2003 8:31 am

Yes, the cksum and md5sum were fine.
some more details about my system - its a triple boot system with
windows2000, qnx 6.20 and now qnx 6.2.1 all installed on separate hard
drives. The latest install (6.2.1) installs fine except for when I use
package manager to install momentics - after which the errors below are
obtained when booting.

Any ideas?

Thanks...

Chris McKillop wrote:
Have you verified the cksum of your CD against the cksum on the website?

chris

AGB <agb32@nospam.remove.this.cam.ac.uk> wrote:

Hi,
I've downloaded the qnx 6.2.1 NC iso from the web, and it installs fine.

However, when I install momentics, and reboot, it comes up with the
following errors:
Unknown symbol: openlog
Unknown symbol: syslog
Unknown symbol: setlogmask
Could not resolve all symbols
Spawn of /bin/sh failed: No such file or directory

Any ideas?
It works fine it I don't install momentics... but thats no good, as I
need gcc...

Thanks.

ps I'm installing on a x86 (P4 processor)


Chris McKillop

Re: momentics

Post by Chris McKillop » Wed Aug 20, 2003 8:35 pm

AGB <agb32@nospam.remove.this.cam.ac.uk> wrote:
Yes, the cksum and md5sum were fine.
some more details about my system - its a triple boot system with
windows2000, qnx 6.20 and now qnx 6.2.1 all installed on separate hard
drives. The latest install (6.2.1) installs fine except for when I use
package manager to install momentics - after which the errors below are
obtained when booting.
I assume that on each boot up it asks you which partition you would like to
use for the root partition?

chris
--
Chris McKillop <cdm@qnx.com> "The faster I go, the behinder I get."
Software Engineer, QSSL -- Lewis Carroll --
http://qnx.wox.org/

AGB

Re: momentics

Post by AGB » Thu Aug 21, 2003 8:24 am

I assume that on each boot up it asks you which partition you would
like to use for the root partition?

chris
correct, first to select drive or partition (the usual qnx boot loader),
and which .diskroot file to mount at / and finally which .diskroot file
to mount at /pkgs/base.
It always gets this far, but then I find that after installing momentics
during a previous uptime, its after this stage that the hanging and
error messages occur... which makes me think that momentics is screwing
up the package system... - rebooting it in safemode using a previous
package config then fixes things (except that it removes the momentics
package so I cant compile anything).

Any more ideas?
Thanks.




Chris McKillop wrote:
AGB <agb32@nospam.remove.this.cam.ac.uk> wrote:

Yes, the cksum and md5sum were fine.
some more details about my system - its a triple boot system with
windows2000, qnx 6.20 and now qnx 6.2.1 all installed on separate hard
drives. The latest install (6.2.1) installs fine except for when I use
package manager to install momentics - after which the errors below are
obtained when booting.



I assume that on each boot up it asks you which partition you would like to
use for the root partition?

chris

AGB

Re: momentics

Post by AGB » Thu Aug 21, 2003 2:19 pm

Something else strange, (though may not be the cause) - From the install
CD, the software installer says that I have OS shared libraries (x86),
QNX DInkum ANSI C++ libs (armle and x86) installed. And momentics for
armle deactivated.
However, when I click to install new QNX Momentics NC (x86) (after
previously uninstalling the deactivated one, and rebooting), it tells me
that it wants to:
Install 26 packages
Activate 114 packages
Deactivate 4 packages.

The list under the install section says:
QNX Momentics NC 6.2.1 for Neutrino (x86) (184MB).

The activate packages are:
QNX Dinkum ANSI c++ libs shared libs 2.1.4 (x86) (689 KB)
QNX Momentics NC 6.2.0 for Neutrino (x86) 181MV
QNX Momentics NC 6.2.1 for Neutrino armle (148MB)
- which is strange since I'd already activated the Dinkum libs...

Finally, it says that it wants to deactivate 4 packages:
GNU C++ Library 2.2.10 (3.6KB)
For a start, I didn't know that I had them installed - secondly, this
may be what is causing the problem - if it tries to deactivate the
syslog library, that would cause the errors that I see on booting?

Is there any way of stopping it deactivating this?


Failing finding a solution, would it be possible to obtain a compiler by:
1. Installing momentics.
2. Before rebooting, copying (using cp) relevent files to a slightly
different name e.g.
cp cpp mycpp
cp c++ myc++
etc
3. Reboot, and then use safe mode to change back to the old packages (so
that it can boot!)
4. Use mycpp etc to compile etc...

If this is possible, which files do I need to copy?

Thanks.



Chris McKillop wrote:
AGB <agb32@nospam.remove.this.cam.ac.uk> wrote:

Yes, the cksum and md5sum were fine.
some more details about my system - its a triple boot system with
windows2000, qnx 6.20 and now qnx 6.2.1 all installed on separate hard
drives. The latest install (6.2.1) installs fine except for when I use
package manager to install momentics - after which the errors below are
obtained when booting.



I assume that on each boot up it asks you which partition you would like to
use for the root partition?

chris

Jerry Chappell

Re: momentics

Post by Jerry Chappell » Thu Aug 21, 2003 2:33 pm

Eactly how clean was this partition when you started? Did you start with a
6.2.0 system, then upgrade to 6.2.1, or was it a clean 6.2.1 install?

When you first run the QNX Software Installer, what does it show as being
installed on your system? If you then proceed to install the processors that
you want, and everything seems to complete successfully, could you at that
point grab the log file (/etc/system/package/session.log) from your
installation session and post it here? [Note that the log files are backed
up to .1 .2 .3 .4 versions each time you run the software installer--I'm
looking for the log showing the installation of Momentics]

Thank you.
Jerry Chappell

AGB

Re: momentics

Post by AGB » Thu Aug 21, 2003 5:48 pm

Eactly how clean was this partition when you started? Did you start with a
6.2.0 system, then upgrade to 6.2.1, or was it a clean 6.2.1 install?
A clean install on a new HD.

When you first run the QNX Software Installer, what does it show as being
installed on your system? If you then proceed to install the processors that
you want, and everything seems to complete successfully, could you at that
point grab the log file (/etc/system/package/session.log) from your
installation session and post it here? [Note that the log files are backed
up to .1 .2 .3 .4 versions each time you run the software installer--I'm
looking for the log showing the installation of Momentics]
There are GBs of stuff installed successfully... (though the first few
times
I was trying to install momentics it was without anything else installed).

Here is the logfile for a momentics install (there was a deactivated
version (deactivated when I ran in safemode to use the previous package)
which I removed first before installing, to make viewing clearer):

17:32:51 STATUS: Session verbosity changed to 2
17:32:51 STATUS: Log file started on 2003-08-21 -- QNX Software Installer
17:32:51 STATUS: Session started by the qnxinstall 2.4 (qnx6) using
libpackage 2.4 (Jan 18 2003 04:09:21 build)
17:32:51 STATUS: Downloading provided by libsqurl 1.0 using libcurl 7.9.8
17:32:51 STATUS: Deleting orphaned plib* directories
17:32:51 STATUS: Proxy dactivated
17:32:51 STATUS: Loaded installed QPF file (/etc/system/package/packages)
17:32:51 STATUS: Loading installed QRM (/pkgs/repository)
17:32:51 STATUS: Installed repository has been added ("User Software"
at /pkgs/repository)
17:32:51 STATUS: Opening installed repository... ("User Software" at
/pkgs/repository)
17:33:21 STATUS: Saving installed QRM to
/etc/system/package/installed/b19f8bc4c5fff2f0ea12229dffe594ab.qrm
("User Software" at /pkgs/repository)
17:33:21 STATUS: Installed repository has been parsed (571 packages)
17:33:21 STATUS: Loading installed QRM (/pkgs/base)
17:33:21 STATUS: Installed repository has been added ("Core Software"
at /pkgs/base)
17:33:21 STATUS: Opening installed repository... ("Core Software" at
/pkgs/base)
17:33:23 STATUS: Saving installed QRM to
/etc/system/package/installed/b62ffa80e250fbd6e661a1948c473789.qrm
("Core Software" at /pkgs/base)
17:33:23 STATUS: Installed repository has been parsed (22 packages)
17:33:23 STATUS: Loaded installed QPF file (/etc/system/package/packages)
17:33:23 STATUS: Loaded installed QPF file (/etc/system/package/packages)
17:33:24 STATUS: Loading remote QRM ("QSSL-620Updateto621" at
/fs/cd0/repository)
17:33:24 STATUS: Loading remote QRM ("QSSL-Non-Commercial621" at
/fs/cd0/rep621)
17:34:48 STATUS: Refreshing repository /fs/cd0/rep621 ("Non-Commercial
V6.2.1" at /fs/cd0/rep621)
17:34:48 STATUS: Opening repository... ("Non-Commercial V6.2.1" at
/fs/cd0/rep621)
17:34:48 STATUS: Created temporary directory (/tmp/plib552982)
17:34:50 STATUS: Repository has been opened (206 packages)
17:34:50 STATUS: Saving remote QRM to
/etc/system/package/sources/QSSL-Non-Commercial621.qrm ("Non-Commercial
V6.2.1" at /fs/cd0/rep621)
17:34:50 STATUS: Cannot uninstall this slib (cpp-slib-2.1.3-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:34:50 STATUS: Cannot deactivate this slib (cpp-slib-2.1.3-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:34:50 STATUS: Cannot uninstall this slib (os-slib-2.1.1-x86-qnx)
because libphrender.so.1 is required by photon3d-6.1-x86-qnx
17:34:50 STATUS: Cannot deactivate this slib (os-slib-2.1.1-x86-qnx)
because libphrender.so.1 is required by photon3d-6.1-x86-qnx
17:34:59 STATUS: Cannot uninstall this slib (cpp-slib-2.1.4-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:34:59 STATUS: Cannot uninstall this slib
(cpp_compat-slib-1.0-x86-qnx) because libcpp.so.2 is required by
flash-4.0-x86-qnx
17:34:59 STATUS: Dependency check started... (Session)
17:35:00 STATUS: No additional repositositories need to be pre-opened
17:35:00 STATUS: Dependency check completed (fully satisfied)
17:35:04 STATUS: Final check prior to performing actions
17:35:04 STATUS: Actions being performed...
17:35:04 STATUS: Largest QPK is 0
17:35:04 STATUS: Package "libstdc-dev-2.2.10A-public" is selected to be
uninstalled by dependency because of "libstdc-dev_x86-2.2.10A-public"
(The core will be uninstalled because every one of its
processor-specific child packages is being uninstalled as well.) (GNU
C++ Library Development 2.2.10A)
17:35:04 STATUS: Package "libstdc-dev_x86-2.2.10A-public" is selected
to be uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This
package gets the same action as the bundle which contains it.) (GNU C++
Library Development 2.2.10A targeting x86)
17:35:04 STATUS: Package "b-os-6.2.1-x86-qnx" is selected to be
uninstalled by the operator (QNX Momentics NC 6.2.1 (Neutrino tool)
targeting x86)
17:35:04 STATUS: Package "binutil-dev_x86-2.10.1A-x86-qnx" is selected
to be uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This
package gets the same action as the bundle which contains it.) (Binutils
Development 2.10.1A (Neutrino tool) targeting x86)
17:35:04 STATUS: Package "binutil-dev_x86-2.10.1A-qnx" is selected to
be uninstalled by dependency because of
"binutil-dev_x86-2.10.1A-x86-qnx" (The core will be uninstalled because
every one of its processor-specific child packages is being uninstalled
as well.) (Binutils Development 2.10.1A (Neutrino tool) targeting x86)
17:35:04 STATUS: Package "config-fix-1.0-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (Config file
updates 1.0)
17:35:04 STATUS: Package "gcc-dev_x86-2.95.3A-x86-qnx" is selected to
be uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This
package gets the same action as the bundle which contains it.) (GCC
Development 2.95.3A (Neutrino tool) targeting x86)
17:35:04 STATUS: Package "gcc-dev_x86-2.95.3A-qnx" is selected to be
uninstalled by dependency because of "gcc-dev_x86-2.95.3A-x86-qnx" (The
core will be uninstalled because every one of its processor-specific
child packages is being uninstalled as well.) (GCC Development 2.95.3A
(Neutrino tool) targeting x86)
17:35:04 STATUS: Package "gdb-dev_x86-5.0A-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (GDB Development
5.0A (Neutrino tool) targeting x86)
17:35:04 STATUS: Package "gdb-dev_x86-5.0A-qnx" is selected to be
uninstalled by dependency because of "gdb-dev_x86-5.0A-x86-qnx" (The
core will be uninstalled because every one of its processor-specific
child packages is being uninstalled as well.) (GDB Development 5.0A
(Neutrino tool) targeting x86)
17:35:04 STATUS: Package "j9ive-1.5A-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (J9 Virtual
Machine Development 1.5A (Neutrino tool))
17:35:04 STATUS: Package "j9ive-1.5A-qnx" is selected to be uninstalled
by dependency because of "j9ive-1.5A-x86-qnx" (The core will be
uninstalled because every one of its processor-specific child packages
is being uninstalled as well.) (J9 Virtual Machine Development 1.5A
(Neutrino tool))
17:35:04 STATUS: Package "j9ive-dev-1.5A-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (J9 Virtual
Machine Development Development 1.5A (Neutrino tool))
17:35:04 STATUS: Package "j9ive-dev-1.5A-qnx" is selected to be
uninstalled by dependency because of "j9ive-dev-1.5A-x86-qnx" (The core
will be uninstalled because every one of its processor-specific child
packages is being uninstalled as well.) (J9 Virtual Machine Development
Development 1.5A (Neutrino tool))
17:35:04 STATUS: Package "os-2.1.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
2.1.4 targeting x86)
17:35:04 STATUS: Package "os-drivers-2.1.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Device Drivers 2.1.4 targeting x86)
17:35:04 STATUS: Package "os-devtools_x86-2.1.4-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Tools 2.1.4 targeting x86 target)
17:35:04 STATUS: Package "os-dev_x86-2.1.4-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.4 targeting x86)
17:35:04 STATUS: Package "ph-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon 2.0.4
targeting x86)
17:35:04 STATUS: Package "ph-drivers-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Device Drivers 2.0.4 targeting x86)
17:35:04 STATUS: Package "ph-login-de-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon Login
2.0.4 targeting x86)
17:35:04 STATUS: Package "ph-conn-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Remote Display Utilities 2.0.4 targeting x86)
17:35:04 STATUS: Package "ph-cpim-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Chinese Input Method 2.0.4 targeting x86)
17:35:04 STATUS: Package "ph-dev_x86-2.0.4-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Development 2.0.4 targeting x86)
17:35:04 STATUS: Package "ph-games-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon Card
Games and Puzzles 2.0.4 targeting x86)
17:35:04 STATUS: Package "ph-vpim-2.0.4-x86-qnx" is selected to be
uninstalled by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Japanese Input Method 2.0.4 targeting x86)
17:35:04 STATUS: Performing preliminary actions in this repository...
("User Software" at /pkgs/repository)
17:35:04 STATUS: Preliminary actions complete for this repository
17:35:04 STATUS: Generating required QPF files
17:35:04 STATUS: Saving installed QRM to
/etc/system/package/installed/b62ffa80e250fbd6e661a1948c473789.qrm
("Core Software" at /pkgs/base)
17:35:04 STATUS: Saving installed QRM to
/etc/system/package/installed/b19f8bc4c5fff2f0ea12229dffe594ab.qrm
("User Software" at /pkgs/repository)
17:35:05 STATUS: Saved proposed QPF file
(/etc/system/package/packages.proposed)
17:35:05 STATUS: QPF has not changed (/etc/system/package/packages)
17:35:05 STATUS: Opening QPF (/etc/system/package/packages)
17:35:05 STATUS: Parsing QPF file
17:35:06 STATUS: Parsing QPM files
17:35:11 WARNING: Unresolvable symlink (../../../../opt/LessTif/doc)
17:35:11 WARNING: Unresolvable symlink (../../../../../etc/X11/xkb)
17:35:11 STATUS: Opening QPF (/etc/system/package/packages.proposed)
17:35:11 STATUS: Parsing QPF file
17:35:11 STATUS: Parsing QPM files
17:35:13 WARNING: Unresolvable symlink (../../../../opt/LessTif/doc)
17:35:13 WARNING: Unresolvable symlink (../../../../../etc/X11/xkb)
17:35:13 STATUS: Comparing QPF files (/etc/system/package/packages vs.
/etc/system/package/packages.proposed)
17:35:13 STATUS: Comparing individual files
17:35:13 STATUS: Package summary complete (identified 0 of 0 packages)
17:35:13 STATUS: Moving files to/from disk
17:35:13 STATUS: Applying unions and symlinks
17:35:13 STATUS: Uninstall package -- public/libstdc/dev-2.2.10A (GNU
C++ Library Development 2.2.10A)
17:35:13 STATUS: Uninstall package -- public/libstdc/dev_x86-2.2.10A
(GNU C++ Library Development 2.2.10A targeting x86)
17:35:13 STATUS: Uninstall package -- qnx/bundles/os-6.2.1/x86 (QNX
Momentics NC 6.2.1 (Neutrino tool) targeting x86)
17:35:13 STATUS: Uninstall package -- qnx/binutil/dev_x86-2.10.1A/x86
(Binutils Development 2.10.1A (Neutrino tool) targeting x86)
17:35:14 STATUS: Uninstall package -- qnx/binutil/dev_x86-2.10.1A
(Binutils Development 2.10.1A (Neutrino tool) targeting x86)
17:35:14 STATUS: Uninstall package -- qnx/config-fix/core-1.0 (Config
file updates 1.0)
17:35:14 STATUS: Uninstall package -- qnx/gcc/dev_x86-2.95.3A/x86 (GCC
Development 2.95.3A (Neutrino tool) targeting x86)
17:35:14 STATUS: Uninstall package -- qnx/gcc/dev_x86-2.95.3A (GCC
Development 2.95.3A (Neutrino tool) targeting x86)
17:35:14 STATUS: Uninstall package -- qnx/gdb/dev_x86-5.0A/x86 (GDB
Development 5.0A (Neutrino tool) targeting x86)
17:35:14 STATUS: Uninstall package -- qnx/gdb/dev_x86-5.0A (GDB
Development 5.0A (Neutrino tool) targeting x86)
17:35:14 STATUS: Uninstall package -- qnx/j9ive/core-1.5A/x86 (J9
Virtual Machine Development 1.5A (Neutrino tool))
17:35:14 STATUS: Uninstall package -- qnx/j9ive/core-1.5A (J9 Virtual
Machine Development 1.5A (Neutrino tool))
17:35:14 STATUS: Uninstall package -- qnx/j9ive/dev-1.5A/x86 (J9
Virtual Machine Development Development 1.5A (Neutrino tool))
17:35:15 STATUS: Uninstall package -- qnx/j9ive/dev-1.5A (J9 Virtual
Machine Development Development 1.5A (Neutrino tool))
17:35:15 STATUS: Uninstall package -- qnx/os/core-2.1.4/x86 (QNX
Neutrino OS 2.1.4 targeting x86)
17:35:15 STATUS: Uninstall package -- qnx/os/drivers-2.1.4/x86 (QNX
Neutrino OS Device Drivers 2.1.4 targeting x86)
17:35:15 STATUS: Uninstall package -- qnx/os/devtools_x86-2.1.4 (QNX
Neutrino OS Development Tools 2.1.4 targeting x86 target)
17:35:15 STATUS: Uninstall package -- qnx/os/dev_x86-2.1.4 (QNX
Neutrino OS Development 2.1.4 targeting x86)
17:35:15 STATUS: Uninstall package -- qnx/ph/core-2.0.4/x86 (QNX Photon
2.0.4 targeting x86)
17:35:15 STATUS: Uninstall package -- qnx/ph/drivers-2.0.4/x86 (QNX
Photon Device Drivers 2.0.4 targeting x86)
17:35:16 STATUS: Uninstall package -- qnx/ph/login-de-2.0.4/x86 (QNX
Photon Login 2.0.4 targeting x86)
17:35:16 STATUS: Uninstall package -- qnx/ph/conn-2.0.4/x86 (QNX Photon
Remote Display Utilities 2.0.4 targeting x86)
17:35:16 STATUS: Uninstall package -- qnx/ph/cpim-2.0.4/x86 (QNX Photon
Chinese Input Method 2.0.4 targeting x86)
17:35:16 STATUS: Uninstall package -- qnx/ph/dev_x86-2.0.4 (QNX Photon
Development 2.0.4 targeting x86)
17:35:16 STATUS: Uninstall package -- qnx/ph/games-2.0.4/x86 (QNX
Photon Card Games and Puzzles 2.0.4 targeting x86)
17:35:16 STATUS: Uninstall package -- qnx/ph/vpim-2.0.4/x86 (QNX Photon
Japanese Input Method 2.0.4 targeting x86)
17:35:16 STATUS: Saved proposed QPF as current
(/etc/system/package/packages)
17:35:16 STATUS: Restarting package filesystem
(/etc/system/package/packages)
17:35:25 STATUS: Post commit for kept original files
17:35:25 STATUS: Action for GNU C++ Library Development 2.2.10A (has
been successfully uninstalled)
17:35:25 STATUS: Action for GNU C++ Library Development 2.2.10A
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Momentics NC 6.2.1 (Neutrino tool)
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for Binutils Development 2.10.1A (Neutrino
tool) targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for Binutils Development 2.10.1A (Neutrino
tool) targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for Config file updates 1.0 (has been
successfully uninstalled)
17:35:25 STATUS: Action for GCC Development 2.95.3A (Neutrino tool)
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for GCC Development 2.95.3A (Neutrino tool)
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for GDB Development 5.0A (Neutrino tool)
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for GDB Development 5.0A (Neutrino tool)
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for J9 Virtual Machine Development 1.5A
(Neutrino tool) (has been successfully uninstalled)
17:35:25 STATUS: Action for J9 Virtual Machine Development 1.5A
(Neutrino tool) (has been successfully uninstalled)
17:35:25 STATUS: Action for J9 Virtual Machine Development Development
1.5A (Neutrino tool) (has been successfully uninstalled)
17:35:25 STATUS: Action for J9 Virtual Machine Development Development
1.5A (Neutrino tool) (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Neutrino OS 2.1.4 targeting x86 (has
been successfully uninstalled)
17:35:25 STATUS: Action for QNX Neutrino OS Device Drivers 2.1.4
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Neutrino OS Development Tools 2.1.4
targeting x86 target (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Neutrino OS Development 2.1.4 targeting
x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon 2.0.4 targeting x86 (has been
successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Device Drivers 2.0.4 targeting
x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Login 2.0.4 targeting x86 (has
been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Remote Display Utilities 2.0.4
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Chinese Input Method 2.0.4
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Development 2.0.4 targeting x86
(has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Card Games and Puzzles 2.0.4
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Action for QNX Photon Japanese Input Method 2.0.4
targeting x86 (has been successfully uninstalled)
17:35:25 STATUS: Saving installed QRM to
/etc/system/package/installed/b19f8bc4c5fff2f0ea12229dffe594ab.qrm
("User Software" at /pkgs/repository)
17:35:25 STATUS: Actions completed
17:35:25 STATUS: Actions successfully completed.
17:35:25 STATUS: Cannot uninstall this slib
(cpp_compat-slib-1.0-x86-qnx) because libcpp.so.2 is required by
flash-4.0-x86-qnx
17:35:25 STATUS: Cannot uninstall this slib (cpp-slib-2.1.4-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:25 STATUS: Cannot uninstall this slib (cpp-slib-2.1.3-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:25 STATUS: Cannot deactivate this slib (cpp-slib-2.1.3-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:25 STATUS: Cannot uninstall this slib (os-slib-2.1.1-x86-qnx)
because libphrender.so.1 is required by photon3d-6.1-x86-qnx
17:35:25 STATUS: Cannot deactivate this slib (os-slib-2.1.1-x86-qnx)
because libphrender.so.1 is required by photon3d-6.1-x86-qnx
17:35:32 STATUS: Dependency check started... (Session)
17:35:32 STATUS: No additional repositositories need to be pre-opened
17:35:35 STATUS: Dependency check completed (fully satisfied)
17:35:35 STATUS: Cannot uninstall this slib
(cpp_compat-slib-1.0-x86-qnx) because libcpp.so.2 is required by
flash-4.0-x86-qnx
17:35:35 STATUS: Cannot uninstall this slib (cpp-slib-2.1.4-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:35 STATUS: Cannot uninstall this slib (cpp-slib-2.1.4-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:40 STATUS: Cannot uninstall this slib
(cpp_compat-slib-1.0-x86-qnx) because libcpp.so.2 is required by
flash-4.0-x86-qnx
17:35:40 STATUS: Cannot uninstall this slib (cpp-slib-2.1.4-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:40 STATUS: Cannot uninstall this slib (cpp-slib-2.1.4-x86-qnx)
because libcpp.so.2a is required by phmeeting-0.88-x86-public
17:35:40 STATUS: Final check prior to performing actions
17:35:40 STATUS: Actions being performed...
17:35:40 STATUS: Largest QPK is 27.8 MB
17:35:40 STATUS: FREE disk space on /pkgs/repository = 110 GB
17:35:40 STATUS: REQUIRED disk space on /pkgs/repository = 214 MB
17:35:40 STATUS: Package "libstdc-2.2.10-x86-public" is selected to be
deactivated by dependency because of "libstdc-2.2.10A-public" (A newer
version is being installed, so this processor-specific package is to be
deactivated) (GNU C++ Library 2.2.10 targeting x86)
17:35:40 STATUS: Package "libstdc-2.2.10-public" is selected to be
deactivated by dependency because of "libstdc-2.2.10-x86-public" (The
core package becomes deactivated when its processor-specific package is
deactivated.) (GNU C++ Library 2.2.10)
17:35:40 STATUS: Package "libstdc-2.2.10A-x86-public" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (GNU C++ Library
2.2.10A targeting x86)
17:35:40 STATUS: Package "libstdc-2.2.10A-public" is selected to be
activated by dependency because of "libstdc-2.2.10A-x86-public" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (GNU C++ Library 2.2.10A)
17:35:40 STATUS: Package "libstdc-dev-2.2.10A-public" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (GNU C++ Library
Development 2.2.10A)
17:35:40 STATUS: Package "libstdc-dev_x86-2.2.10A-public" is selected
to be installed by dependency because of "b-os-6.2.1-x86-qnx" (This
package gets the same action as the bundle which contains it.) (GNU C++
Library Development 2.2.10A targeting x86)
17:35:40 STATUS: Package "audio-ddk-6.2.0-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Audio DDK 6.2.0)
17:35:40 STATUS: Package "audio-ddk-6.2.1-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Audio DDK 6.2.1)
17:35:40 STATUS: Package "b-os-6.2.0-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Momentics NC
6.2.0 (Neutrino tool) targeting armle)
17:35:40 STATUS: Package "b-os-6.2.0-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Momentics NC
6.2.0 (Neutrino tool) targeting x86)
17:35:40 STATUS: Package "b-os-6.2.1-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-x86-qnx" (Installing a
patch will also install the patch for all processors which have already
been installed for the original package) (QNX Momentics NC 6.2.1
(Neutrino tool) targeting armle)
17:35:40 STATUS: Package "b-os-6.2.1-x86-qnx" is selected to be
installed by the operator (QNX Momentics NC 6.2.1 (Neutrino tool)
targeting x86)
17:35:40 STATUS: Package "binutil-2.10.1A-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Binutils 2.10.1A
(Neutrino tool))
17:35:41 STATUS: Package "binutil-2.10.1A-qnx" is selected to be
activated by dependency because of "binutil-2.10.1A-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Binutils 2.10.1A (Neutrino tool))
17:35:41 STATUS: Package "binutil-dev-2.10.1A-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Binutils
Development 2.10.1A (Neutrino tool))
17:35:41 STATUS: Package "binutil-dev_arm-2.10.1A-x86-qnx" is selected
to be activated by dependency because of "b-os-6.2.1-armle-qnx" (This
package gets the same action as the bundle which contains it.) (Binutils
Development 2.10.1A (Neutrino tool) targeting arm)
17:35:41 STATUS: Package "binutil-dev_arm-2.10.1A-qnx" is selected to
be activated by dependency because of "binutil-dev_arm-2.10.1A-x86-qnx"
(Since a processor-specific package is being activated, its
corresponding core package must also be activated.) (Binutils
Development 2.10.1A (Neutrino tool) targeting arm)
17:35:41 STATUS: Package "binutil-dev_x86-2.10.1A-x86-qnx" is selected
to be installed by dependency because of "b-os-6.2.1-x86-qnx" (This
package gets the same action as the bundle which contains it.) (Binutils
Development 2.10.1A (Neutrino tool) targeting x86)
17:35:41 STATUS: Package "binutil-dev_x86-2.10.1A-qnx" is selected to
be installed by dependency because of "binutil-dev_x86-2.10.1A-x86-qnx",
which requires that a package with a "ProductIdentifier" of
binutil-dev-target_x86 and a "ReleaseVersion" of 2.10.1A and a
"ReleaseBuild" of 1 and a "PackageReleaseNumber" of 1 and a
"ReleaseStability" of Stable and a "VendorInstallName" of qnx also be
installe (Binutils Development 2.10.1A (Neutrino tool) targeting x86)
17:35:41 STATUS: Package "bison-1.28-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Bison 1.28
targeting x86)
17:35:41 STATUS: Package "bison-1.28-qnx" is selected to be activated
by dependency because of "bison-1.28-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Bison 1.28)
17:35:41 STATUS: Package "char-ddk-6.2.1-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Character
(Serial) DDK 6.2.1)
17:35:41 STATUS: Package "common-ddk-6.2.1-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Common DDK Files
6.2.1)
17:35:41 STATUS: Package "config-fix-1.0-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (Config file
updates 1.0)
17:35:41 STATUS: Package "cpp-slib-2.1.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Dinkum ANSI
C++ Library shared libraries 2.1.4 targeting armle)
17:35:41 STATUS: Package "cpp-slib-2.1.4-x86-qnx" is selected to be
activated by dependency because of "cpp-slib-2.1.4-qnx" (This package
gets the same action as its relative.) (QNX Dinkum ANSI C++ Library
shared libraries 2.1.4 targeting x86)
17:35:41 STATUS: Package "cpp-slib-2.1.4-qnx" is selected to be
activated by dependency because of "cpp-slib-2.1.4-armle-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Dinkum ANSI C++ Library shared
libraries 2.1.4)
17:35:41 STATUS: Package "cpp_compat-slib-1.0-armle-qnx" is selected to
be activated by dependency because of "b-os-6.2.0-armle-qnx" (This
package gets the same action as the bundle which contains it.) (6.1.0
CPP Compatibility Libs shared libraries 1.0 targeting armle)
17:35:41 STATUS: Package "cpp_compat-slib-1.0-x86-qnx" is selected to
be activated by dependency because of "cpp_compat-slib-1.0-qnx" (This
package gets the same action as its relative.) (6.1.0 CPP Compatibility
Libs shared libraries 1.0 targeting x86)
17:35:41 STATUS: Package "cpp_compat-slib-1.0-qnx" is selected to be
activated by dependency because of "cpp_compat-slib-1.0-armle-qnx"
(Since a processor-specific package is being activated, its
corresponding core package must also be activated.) (6.1.0 CPP
Compatibility Libs shared libraries 1.0)
17:35:41 STATUS: Package "flash-dev-4.0-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Flashplayer
Development 4.0 Experimental)
17:35:41 STATUS: Package "flash-dev_x86-4.0-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Flashplayer
Development 4.0 Experimental targeting x86)
17:35:41 STATUS: Package "flex-2.5.4-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Flex 2.5.4
(Neutrino tool))
17:35:41 STATUS: Package "flex-2.5.4-qnx" is selected to be activated
by dependency because of "flex-2.5.4-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Flex 2.5.4 (Neutrino tool))
17:35:41 STATUS: Package "flex-2.5.4A-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Flex 2.5.4A
(Neutrino tool))
17:35:41 STATUS: Package "flex-2.5.4A-qnx" is selected to be activated
by dependency because of "flex-2.5.4A-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Flex 2.5.4A (Neutrino tool))
17:35:41 STATUS: Package "gcc-2.95.3A-qnx" is selected to be activated
by dependency because of "b-os-6.2.1-armle-qnx" (This package gets the
same action as the bundle which contains it.) (GCC 2.95.3A (Neutrino tool))
17:35:41 STATUS: Package "gcc-dev_arm-2.95.3A-x86-qnx" is selected to
be activated by dependency because of "b-os-6.2.1-armle-qnx" (This
package gets the same action as the bundle which contains it.) (GCC
Development 2.95.3A (Neutrino tool) targeting arm)
17:35:41 STATUS: Package "gcc-dev_arm-2.95.3A-qnx" is selected to be
activated by dependency because of "gcc-dev_arm-2.95.3A-x86-qnx" (Since
a processor-specific package is being activated, its corresponding core
package must also be activated.) (GCC Development 2.95.3A (Neutrino
tool) targeting arm)
17:35:41 STATUS: Package "gcc-dev_x86-2.95.3A-x86-qnx" is selected to
be installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (GCC Development
2.95.3A (Neutrino tool) targeting x86)
17:35:41 STATUS: Package "gcc-dev_x86-2.95.3A-qnx" is selected to be
installed by dependency because of "gcc-dev_x86-2.95.3A-x86-qnx", which
requires that a package with a "ProductIdentifier" of gcc-dev-target_x86
and a "ReleaseVersion" of 2.95.3A and a "ReleaseBuild" of 1 and a
"PackageReleaseNumber" of 1 and a "ReleaseStability" of Stable and a
"VendorInstallName" of qnx also be installed. (GCC Development 2.95.3A
(Neutrino tool) targeting x86)
17:35:41 STATUS: Package "gdb-5.0A-x86-qnx" is selected to be activated
by dependency because of "b-os-6.2.1-armle-qnx" (This package gets the
same action as the bundle which contains it.) (GDB 5.0A (Neutrino tool))
17:35:41 STATUS: Package "gdb-5.0A-qnx" is selected to be activated by
dependency because of "gdb-5.0A-x86-qnx" (Since a processor-specific
package is being activated, its corresponding core package must also be
activated.) (GDB 5.0A (Neutrino tool))
17:35:41 STATUS: Package "gdb-dev_arm-5.0A-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (GDB Development
5.0A (Neutrino tool) targeting arm)
17:35:41 STATUS: Package "gdb-dev_arm-5.0A-qnx" is selected to be
activated by dependency because of "gdb-dev_arm-5.0A-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (GDB Development 5.0A (Neutrino tool)
targeting arm)
17:35:41 STATUS: Package "gdb-dev_x86-5.0A-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (GDB Development
5.0A (Neutrino tool) targeting x86)
17:35:41 STATUS: Package "gdb-dev_x86-5.0A-qnx" is selected to be
installed by dependency because of "gdb-dev_x86-5.0A-x86-qnx", which
requires that a package with a "ProductIdentifier" of gdb-dev-target_x86
and a "ReleaseVersion" of 5.0A and a "ReleaseBuild" of 1 and a
"PackageReleaseNumber" of 1 and a "ReleaseStability" of Stable and a
"VendorInstallName" of qnx also be installed. (GDB Development 5.0A
(Neutrino tool) targeting x86)
17:35:41 STATUS: Package "gfx-ddk-6.2.1-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Graphics DDK 6.2.1)
17:35:41 STATUS: Package "gplusplus-slib-2.10-x86-qnx" is selected to
be activated by dependency because of "b-os-6.2.0-x86-qnx" (This package
gets the same action as the bundle which contains it.) (GNU C++ shared
libraries 2.10 Experimental targeting x86)
17:35:41 STATUS: Package "gplusplus-slib-2.10-qnx" is selected to be
activated by dependency because of "gplusplus-slib-2.10-x86-qnx" (Since
a processor-specific package is being activated, its corresponding core
package must also be activated.) (GNU C++ shared libraries 2.10
Experimental)
17:35:41 STATUS: Package "input-ddk-6.2.1-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Input DDK 6.2.1)
17:35:41 STATUS: Package "ipaq-1.0-qnx" is selected to be activated by
dependency because of "b-os-6.2.0-armle-qnx" (This package gets the same
action as the bundle which contains it.) (IPAQ Reference Platform 1.0)
17:35:41 STATUS: Package "ipaq-lrzsz-1.0-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (XYZModem
Transfer Protocols 1.0)
17:35:41 STATUS: Package "j9ive-1.5A-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (J9 Virtual
Machine Development 1.5A (Neutrino tool))
17:35:41 STATUS: Package "j9ive-1.5A-qnx" is selected to be installed
by dependency because of "j9ive-1.5A-x86-qnx", which requires that a
package with a "ProductIdentifier" of j9ive and a "ReleaseVersion" of
1.5A and a "ReleaseBuild" of 1 and a "PackageReleaseNumber" of 1 and a
"ReleaseStability" of Stable and a "VendorInstallName" of qnx also be
installed. (J9 Virtual Machine Development 1.5A (Neutrino tool))
17:35:41 STATUS: Package "j9ive-dev-1.5A-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (J9 Virtual
Machine Development Development 1.5A (Neutrino tool))
17:35:41 STATUS: Package "j9ive-dev-1.5A-qnx" is selected to be
installed by dependency because of "j9ive-dev-1.5A-x86-qnx", which
requires that a package with a "ProductIdentifier" of j9ive-dev and a
"ReleaseVersion" of 1.5A and a "ReleaseBuild" of 1 and a
"PackageReleaseNumber" of 1 and a "ReleaseStability" of Stable and a
"VendorInstallName" of qnx also be installed. (J9 Virtual Machine
Development Development 1.5A (Neutrino tool))
17:35:41 STATUS: Package "make-3.79.1-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Make 3.79.1
targeting x86)
17:35:41 STATUS: Package "make-3.79.1-qnx" is selected to be activated
by dependency because of "make-3.79.1-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Make 3.79.1)
17:35:41 STATUS: Package "mozilla-0.9.8-bld4-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-x86-qnx" (This package
gets the same action as the bundle which contains it.) (Mozilla 0.9.8
Beta build 4 targeting x86)
17:35:41 STATUS: Package "mozilla-0.9.8-bld4-qnx" is selected to be
activated by dependency because of "mozilla-0.9.8-bld4-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Mozilla 0.9.8 Beta build 4)
17:35:41 STATUS: Package "mozilla-Static-0.9.8-bld4-x86-qnx" is
selected to be activated by dependency because of "b-os-6.2.0-x86-qnx"
(This package gets the same action as the bundle which contains it.)
(Mozilla Static 0.9.8 Beta build 4 targeting x86)
17:35:41 STATUS: Package "mozilla-Static-0.9.8-bld4-qnx" is selected to
be activated by dependency because of
"mozilla-Static-0.9.8-bld4-x86-qnx" (Since a processor-specific package
is being activated, its corresponding core package must also be
activated.) (Mozilla Static 0.9.8 Beta build 4)
17:35:41 STATUS: Package "nasm-0.98-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (The Netwide
Assembler 0.98 targeting x86)
17:35:41 STATUS: Package "nasm-0.98-qnx" is selected to be activated by
dependency because of "nasm-0.98-x86-qnx" (Since a processor-specific
package is being activated, its corresponding core package must also be
activated.) (The Netwide Assembler 0.98)
17:35:41 STATUS: Package "network-ddk-6.2.1-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (Network DDK 6.2.1)
17:35:41 STATUS: Package "os-2.1.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
2.1.4 targeting armle)
17:35:41 STATUS: Package "os-2.1.4-x86-qnx" is selected to be installed
by dependency because of "b-os-6.2.1-x86-qnx" (This package gets the
same action as the bundle which contains it.) (QNX Neutrino OS 2.1.4
targeting x86)
17:35:41 STATUS: Package "os-2.1.4-qnx" is selected to be activated by
dependency because of "os-2.1.4-armle-qnx" (Since a processor-specific
package is being activated, its corresponding core package must also be
activated.) (QNX Neutrino OS 2.1.4)
17:35:41 STATUS: Package "os-doc-2.1.4-qnx" is selected to be activated
by dependency because of "b-os-6.2.1-armle-qnx" (This package gets the
same action as the bundle which contains it.) (QNX Neutrino OS Runtime
Documentation 2.1.4)
17:35:41 STATUS: Package "os-drivers-2.1.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Device Drivers 2.1.4 targeting armle)
17:35:41 STATUS: Package "os-drivers-2.1.4-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Device Drivers 2.1.4 targeting x86)
17:35:41 STATUS: Package "os-drivers-2.1.4-qnx" is selected to be
activated by dependency because of "os-drivers-2.1.4-armle-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Neutrino OS Device Drivers 2.1.4)
17:35:41 STATUS: Package "os-devdoc-2.1.3-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Documentation 2.1.3)
17:35:41 STATUS: Package "os-devdoc-2.1.4-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Documentation 2.1.4)
17:35:41 STATUS: Package "os-devtools-2.1.3-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Tools 2.1.3 targeting x86)
17:35:41 STATUS: Package "os-devtools-2.1.3-qnx" is selected to be
activated by dependency because of "os-devtools-2.1.3-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Neutrino OS Development Tools 2.1.3)
17:35:41 STATUS: Package "os-devtools_armle-2.1.3-qnx" is selected to
be activated by dependency because of "b-os-6.2.0-armle-qnx" (This
package gets the same action as the bundle which contains it.) (QNX
Neutrino OS Development Tools 2.1.3 targeting armle target)
17:35:41 STATUS: Package "os-devtools_x86-2.1.3-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Tools 2.1.3 targeting x86 target)
17:35:41 STATUS: Package "os-devtools_x86-2.1.4-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Tools 2.1.4 targeting x86 target)
17:35:41 STATUS: Package "os-devtools-2.1.4-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development Tools 2.1.4 targeting x86)
17:35:41 STATUS: Package "os-devtools-2.1.4-qnx" is selected to be
activated by dependency because of "os-devtools-2.1.4-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Neutrino OS Development Tools 2.1.4)
17:35:41 STATUS: Package "os-devtools_armle-2.1.4-qnx" is selected to
be activated by dependency because of "b-os-6.2.1-armle-qnx" (This
package gets the same action as the bundle which contains it.) (QNX
Neutrino OS Development Tools 2.1.4 targeting armle target)
17:35:41 STATUS: Package "os-dev-2.1.3-qnx" is selected to be activated
by dependency because of "b-os-6.2.0-armle-qnx" (This package gets the
same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.3)
17:35:41 STATUS: Package "os-dev_arm-2.1.3-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.3 targeting arm)
17:35:41 STATUS: Package "os-dev_armle-2.1.3-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.3 targeting armle)
17:35:41 STATUS: Package "os-dev_x86-2.1.3-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.3 targeting x86)
17:35:41 STATUS: Package "os-dev-2.1.4-qnx" is selected to be activated
by dependency because of "b-os-6.2.1-armle-qnx" (This package gets the
same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.4)
17:35:41 STATUS: Package "os-dev_arm-2.1.4-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.4 targeting arm)
17:35:41 STATUS: Package "os-dev_armle-2.1.4-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.4 targeting armle)
17:35:41 STATUS: Package "os-dev_x86-2.1.4-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Neutrino OS
Development 2.1.4 targeting x86)
17:35:41 STATUS: Package "ph-2.0.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon 2.0.4
targeting armle)
17:35:41 STATUS: Package "ph-2.0.4-x86-qnx" is selected to be installed
by dependency because of "b-os-6.2.1-x86-qnx" (This package gets the
same action as the bundle which contains it.) (QNX Photon 2.0.4
targeting x86)
17:35:41 STATUS: Package "ph-2.0.4-qnx" is selected to be activated by
dependency because of "ph-2.0.4-armle-qnx" (Since a processor-specific
package is being activated, its corresponding core package must also be
activated.) (QNX Photon 2.0.4)
17:35:41 STATUS: Package "ph-drivers-2.0.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Device Drivers 2.0.4 targeting armle)
17:35:41 STATUS: Package "ph-drivers-2.0.4-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Device Drivers 2.0.4 targeting x86)
17:35:41 STATUS: Package "ph-drivers-2.0.4-qnx" is selected to be
activated by dependency because of "ph-drivers-2.0.4-armle-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Photon Device Drivers 2.0.4)
17:35:41 STATUS: Package "ph-login-de-2.0.3-x86-qnx" is selected to be
deactivated by dependency because of "ph-login-de-2.0.4-qnx" (A newer
version is being installed, so this processor-specific package is to be
deactivated) (QNX Photon Login 2.0.3 targeting x86)
17:35:41 STATUS: Package "ph-login-de-2.0.3-qnx" is selected to be
deactivated by dependency because of "ph-login-de-2.0.3-x86-qnx" (The
core package becomes deactivated when its processor-specific package is
deactivated.) (QNX Photon Login 2.0.3)
17:35:41 STATUS: Package "ph-login-de-2.0.4-armle-qnx" is selected to
be activated by dependency because of "b-os-6.2.1-armle-qnx" (This
package gets the same action as the bundle which contains it.) (QNX
Photon Login 2.0.4 targeting armle)
17:35:41 STATUS: Package "ph-login-de-2.0.4-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon Login
2.0.4 targeting x86)
17:35:41 STATUS: Package "ph-login-de-2.0.4-qnx" is selected to be
activated by dependency because of "ph-login-de-2.0.4-armle-qnx" (Since
a processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Photon Login 2.0.4)
17:35:41 STATUS: Package "ph-citrix-2.0.3-x86-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-x86-qnx" (This package
gets the same action as the bundle which contains it.) (Citrix ICA
Client 3.0 targeting x86)
17:35:41 STATUS: Package "ph-citrix-2.0.3-qnx" is selected to be
activated by dependency because of "ph-citrix-2.0.3-x86-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (Citrix ICA Client 3.0)
17:35:41 STATUS: Package "ph-conn-2.0.3-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Remote Display Utilities 2.0.3 targeting armle)
17:35:41 STATUS: Package "ph-conn-2.0.3-x86-qnx" is selected to be
activated by dependency because of "ph-conn-2.0.3-qnx" (This package
gets the same action as its relative.) (QNX Photon Remote Display
Utilities 2.0.3 targeting x86)
17:35:41 STATUS: Package "ph-conn-2.0.3-qnx" is selected to be
activated by dependency because of "ph-conn-2.0.3-armle-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Photon Remote Display Utilities 2.0.3)
17:35:41 STATUS: Package "ph-conn-2.0.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Remote Display Utilities 2.0.4 targeting armle)
17:35:41 STATUS: Package "ph-conn-2.0.4-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Remote Display Utilities 2.0.4 targeting x86)
17:35:41 STATUS: Package "ph-conn-2.0.4-qnx" is selected to be
activated by dependency because of "ph-conn-2.0.4-armle-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Photon Remote Display Utilities 2.0.4)
17:35:41 STATUS: Package "ph-cpim-2.0.3-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.0-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Chinese Input Method 2.0.3 targeting armle)
17:35:41 STATUS: Package "ph-cpim-2.0.3-x86-qnx" is selected to be
activated by dependency because of "ph-cpim-2.0.3-qnx" (This package
gets the same action as its relative.) (QNX Photon Chinese Input Method
2.0.3 targeting x86)
17:35:41 STATUS: Package "ph-cpim-2.0.3-qnx" is selected to be
activated by dependency because of "ph-cpim-2.0.3-armle-qnx" (Since a
processor-specific package is being activated, its corresponding core
package must also be activated.) (QNX Photon Chinese Input Method 2.0.3)
17:35:41 STATUS: Package "ph-cpim-2.0.4-armle-qnx" is selected to be
activated by dependency because of "b-os-6.2.1-armle-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Chinese Input Method 2.0.4 targeting armle)
17:35:41 STATUS: Package "ph-cpim-2.0.4-x86-qnx" is selected to be
installed by dependency because of "b-os-6.2.1-x86-qnx" (This package
gets the same action as the bundle which contains it.) (QNX Photon
Chinese Input Method 2.0.4 targeting x86)
17:35:41 STATUS: Package "ph-cp

Jerry Chappell

Re: momentics

Post by Jerry Chappell » Fri Aug 22, 2003 6:38 pm

I was hoping to see the log from when you first had problems. The log you
posted shows that there are already about 593 packages already installed.
You said you started from a clean system--at what point did things start to
go wrong? And at that point, how does the log look?

Jerry

AGB

Re: momentics

Post by AGB » Fri Aug 22, 2003 9:44 pm

At the end of a clean install, the package manager is automatically
started showing the momentics packages. I found that here, when I
installed momentics the computer would no longer boot properly, whilst
if I didn't install momentics, the computer would boot fine.

I don't have the logfile from a clean install, as that was about a week
ago, and I've installed hundreds of packages since then. All have
installed fine, but momentics still stubbornly refuses to let the
computer boot properly if installed.

I'm reluctant to start again, and do a clean install, but if the clean
install logfile is really needed then I guess I could (its just that I
find installing QNX so hit and miss - it always takes me days to get
emacs working, and to resolve other link problems and to get my system
workable).

Thanks... (let me know if you really need a clean install, as I really
do need a c compiler on my qnx system...)

Jerry Chappell wrote:
I was hoping to see the log from when you first had problems. The log you
posted shows that there are already about 593 packages already installed.
You said you started from a clean system--at what point did things start to
go wrong? And at that point, how does the log look?

Jerry

AGB

Re: momentics

Post by AGB » Mon Aug 25, 2003 9:17 am

Problem solved I think - I had to modify /etc/profile and put in some
export
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib:/usr/lib:/lib/dll:/usr/photon/lib:
/usr/photon/dll:/opt/lib:/usr/local/lib:/opt/X11R6/lib:/x11/opt/X11R6/lib

I would have imagined that momentics would do this for me, but obviosly
not. Well, I hope that this helps someone else...

Thanks,
agb

AGB wrote:
Hi,
I've downloaded the qnx 6.2.1 NC iso from the web, and it installs fine.

However, when I install momentics, and reboot, it comes up with the
following errors:
Unknown symbol: openlog
Unknown symbol: syslog
Unknown symbol: setlogmask
Could not resolve all symbols
Spawn of /bin/sh failed: No such file or directory

Any ideas?
It works fine it I don't install momentics... but thats no good, as I
need gcc...

Thanks.

ps I'm installing on a x86 (P4 processor)

Guest

Re: momentics

Post by Guest » Sun Aug 31, 2003 5:06 pm

agb32@nospam.remove.this.cam.ac.uk sed in <3F49D443.4070809@nospam.remove.this.cam.ac.uk>:
Problem solved I think - I had to modify /etc/profile and put in some
export
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib:/usr/lib:/lib/dll:/usr/photon/lib:
/usr/photon/dll:/opt/lib:/usr/local/lib:/opt/X11R6/lib:/x11/opt/X11R6/lib
You don't need to muck with LD_LIBRARY_PATH on 6.2.0 and after;
6.1.0 needed it, so it seems you're running a 6.1.0 system (/.boot),
not the installed 6.2.x.

--
kabe

AGB

Re: momentics

Post by AGB » Tue Sep 02, 2003 10:42 am

No, its definately 6.2.1. And I also had to much with the LD_... to get
emacs etc working.


kabe@sra-tohoku.co.jp wrote:
agb32@nospam.remove.this.cam.ac.uk sed in <3F49D443.4070809@nospam.remove.this.cam.ac.uk>:


Problem solved I think - I had to modify /etc/profile and put in some
export
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib:/usr/lib:/lib/dll:/usr/photon/lib:
/usr/photon/dll:/opt/lib:/usr/local/lib:/opt/X11R6/lib:/x11/opt/X11R6/lib


You don't need to muck with LD_LIBRARY_PATH on 6.2.0 and after;
6.1.0 needed it, so it seems you're running a 6.1.0 system (/.boot),
not the installed 6.2.x.

Post Reply

Return to “qdn.public.installation”